Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 247394 - media-libs/libextractor app-crypt/pkcrack media-sound/csound sci-chemistry/pdb-extract sci-biology/glimmer - file collision in /usr/bin/extract
Summary: media-libs/libextractor app-crypt/pkcrack media-sound/csound sci-chemistry/pd...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Quality Assurance Team
URL:
Whiteboard:
Keywords:
: 247891 253612 262208 426876 (view as bug list)
Depends on: 550436
Blocks:
  Show dependency tree
 
Reported: 2008-11-18 15:47 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2015-05-26 06:23 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-11-18 15:47:01 UTC
Detected file collision(s):

        /usr/bin/extract
        /usr/bin/htmlclean

Searching all installed packages for file collisions...

Press Ctrl-C to Stop

dev-perl/HTML-Clean-0.8-r1
        /usr/bin/htmlclean

app-crypt/pkcrack-1.2.2
        /usr/bin/extract
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-11-20 14:48:49 UTC
Have fun, media-libs/libextractor also installs /usr/bin/extract!
Comment 2 Torsten Veller (RETIRED) gentoo-dev 2008-11-21 09:17:37 UTC
*** Bug 247891 has been marked as a duplicate of this bug. ***
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-11-22 19:05:28 UTC
Detected file collision(s):

        /usr/bin/extract

Searching all installed packages for file collisions...

Press Ctrl-C to Stop

app-crypt/pkcrack-1.2.2
        /usr/bin/extract

Package 'sci-biology/glimmer-3.02' NOT merged due to file collisions.
If necessary, refer to your elog messages for the whole content of the
above message.
Comment 4 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-01-03 21:58:28 UTC
*** Bug 253612 has been marked as a duplicate of this bug. ***
Comment 5 Andrey Kislyuk (RETIRED) gentoo-dev 2009-01-04 01:25:04 UTC
Committed workaround: sci-biology/glimmer-3.02-r1 blocks app-crypt/pkcrack and media-libs/libextractor. Thanks for reporting.

Please mention package name in summary when reporting.
Comment 6 Thilo Bangert (RETIRED) (RETIRED) gentoo-dev 2009-01-04 08:12:42 UTC
from bug #253612: 

sci-chemistry/pdb-extract-1.700 and app-text/html-xml-utils also install /usr/bin/extract

weaver: adding blockers can only be a temporary workaround. you would also need to block pdb-extract and html-xml-utils and any other package using that name. just avoid it...
Comment 7 Torsten Veller (RETIRED) gentoo-dev 2009-03-20 17:22:17 UTC
Half of this was fixed in bug 218146
The style of these bugs doesn't help to see which part was fixed.

With >=app-text/html-xml-utils-5.3 the binaries were renamed.
/usr/bin/htmlclean is installed by dev-perl/HTML-Clean only.

*****
So this bug is now about the packages installing /usr/bin/extract:

media-libs/libextractor
app-crypt/pkcrack
sci-chemistry/pdb-extract
sci-biology/glimmer
Comment 8 Justin Lecher gentoo-dev 2009-03-20 17:30:37 UTC
*** Bug 262208 has been marked as a duplicate of this bug. ***
Comment 9 Justin Lecher gentoo-dev 2009-03-20 17:31:19 UTC
Repost my comment from bug 262208

three packages install /usr/bin/extract

sci-chemistry/pdb-extract
media-libs/libextractor
app-crypt/pkcrack

To fix this I would suggest to rename after following scheme

app-crypt/pkcrack
extract --> pkextract

media-libs/libextractor
extract --> libextract

sci-chemistry/pdb-extract
can keep its extract
--> Reason:
1. it already contains pdb_extract as binary, so things like pdb-extract aren't
good
2. it is often used by other programms and third party scripts

Comment 10 Torsten Veller (RETIRED) gentoo-dev 2009-03-20 19:53:51 UTC
So this bug should be solved by:
- net-p2p
- crypto
- sci-biology
- sci-chemistry

Can you rename /usr/bin/extract in your package?
Comment 11 Willard Dawson 2011-02-21 04:01:23 UTC
(In reply to comment #10)
> So this bug should be solved by:
> - net-p2p
> - crypto
> - sci-biology
> - sci-chemistry
> 
> Can you rename /usr/bin/extract in your package?
> 

Is there really no progress on this since 2009?  I just bumped into this conflict...
Comment 12 Samuli Suominen gentoo-dev 2012-08-02 16:58:21 UTC
*** Bug 426876 has been marked as a duplicate of this bug. ***
Comment 13 Samuli Suominen gentoo-dev 2012-08-02 17:00:33 UTC
(In reply to comment #12)
> *** Bug 426876 has been marked as a duplicate of this bug. ***

^ media-sound/csound too, CCing radhermit@ so he can rename the binary to something else like everyone else should do too -> 
libextractor as a popular library is keeping extract, and others are renaming
Comment 14 Samuli Suominen gentoo-dev 2012-08-02 17:02:45 UTC
blockers in place now:

http://sources.gentoo.org/viewvc.cgi/gentoo-x86/media-libs/libextractor/libextractor-0.6.3-r1.ebuild?r1=1.1&r2=1.2

once you are done with the renaming, please adjust the blocker in libextractor's ebuild accordingly

net-p2p@ is out :)
Comment 15 Tim Harder gentoo-dev 2012-09-15 06:13:15 UTC
Fixed in csound, extract -> csound_extract.
Comment 16 Alon Bar-Lev gentoo-dev 2012-12-22 00:55:27 UTC
fixed in pkcrack: extract -> pkcrack-extract

pkcrack-1.2.2-r1
Comment 17 Willard Dawson 2012-12-22 13:38:05 UTC
(In reply to comment #16)
> fixed in pkcrack: extract -> pkcrack-extract
> 
> pkcrack-1.2.2-r1

"once you are done with the renaming, please adjust the blocker in libextractor's ebuild accordingly"

...please.

Thanks.
Comment 18 Willard Dawson 2013-02-10 03:04:38 UTC
(In reply to comment #17)
> (In reply to comment #16)
> > fixed in pkcrack: extract -> pkcrack-extract
> > 
> > pkcrack-1.2.2-r1
> 
> "once you are done with the renaming, please adjust the blocker in
> libextractor's ebuild accordingly"
> 
> ...please.
> 
> Thanks.

libextractor-1.0.1 is still blocking pkcrack, but does not need to since pkcrack-1.2.2-r1.  Please remove the block from libextractor.

Thanks.
Comment 19 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-03-31 19:26:52 UTC
Collecting the packages mentioned, as well as using the following command

    e-file extract | grep '/usr/bin/extract' -B2

we get

    app-crypt/pkcrack
    media-libs/libextractor
    media-sound/csound
    sci-biology/glimmer
    sci-chemistry/azara
    sci-chemistry/pdb-extract

and after emerging we see that some of these can't be installed together, we get

    app-crypt/pkcrack
    media-libs/libextractor
    sci-biology/glimmer
    sci-chemistry/pdb-extract

that block each other correctly; and when we re-emerge the remainder, we get

    1) a build failure for sci-chemistry/azara, but checking the ebuild
       it seems to have this correct:

           for bin in *; do
               newbin ${bin} ${bin}-${PN}
           done

    2) to see that csound_extract is still in place;

therefore this bug has been fixed.

> libextractor-1.0.1 is still blocking pkcrack, but does not need to since pkcrack-1.2.2-r1.  Please remove the block from libextractor.

Thank you for reporting this, done; made it less strict.

+  31 Mar 2014; Tom Wijsman <TomWij@gentoo.org> libextractor-1.0.1.ebuild:
+  [QA] Make pkcrack blocker less strict as newer revision moves the file away,
+  for bug #247394.

You might need to re-emerge libextractor to unblock it.
Comment 20 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-03-31 20:33:12 UTC
(In reply to Samuli Suominen from comment #14)
> once you are done with the renaming, please adjust the blocker in
> libextractor's ebuild accordingly

Hmm, right; thanks for pinging, there are some renames / blocker changes pending.

Will re-evaluate this later...
Comment 21 Martin Mokrejš 2015-05-25 22:18:08 UTC
Patch for sci-biology/glimmer-3.02b landed in science overlay (should be backwards compatible).
Comment 22 Justin Lecher gentoo-dev 2015-05-26 06:22:44 UTC
+*glimmer-3.02b (26 May 2015)
+*glimmer-3.02-r3 (26 May 2015)
+
+  26 May 2015; Justin Lecher <jlec@gentoo.org>
+  +files/glimmer-3.02b-jobserver-fix.patch, +files/glimmer-3.02b-ldflags.patch,
+  +files/glimmer-3.02b-rename_extract.patch, +glimmer-3.02-r3.ebuild,
+  +glimmer-3.02b.ebuild, -glimmer-3.02-r1.ebuild:
+  Version Bump and patch for file collision, thanks Martin Mokrejs for the fix,
+  bug #247394; Respect CXX, CXXFLAGS and LDFLAGS
+